<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>

	<!-- creates a container element used to group HTML elements -->
<header>
		<h1>HTML Tables and Forms</h1>
</header>


<main>
	<section>
	<h2>HTML Entities</h2>
	<p>
		<em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code).</em>
	</p>

	<!-- Defines an HTML table -->

	<table border="1">
		<!-- thead is used to group table header content only -->
		<thead>
			<!-- Defines a table row -->
			<tr>
				<!-- Defines a table header element -->
				<!-- colspan to occupy 2 rows or more -->
				<th colspan="2">Entity</th>
				<th>Description</th>
			</tr>
		</thead>
		<!-- to contain the body of the table -->
		<tbody>
			<tr>
				<!-- defines a table data element -->
				<td>&lt;</td>
				<td>lt</td>
				<td>less than</td>
			</tr>
			<tr>
				<td>&gt;</td>
				<td>gt</td>
				<td>greater than</td>
			</tr>
			<tr>
				<td>&#8369;</td>
				<td>#8369</td>
				<td>peso sign</td>
			</tr>
			<tr>
				<td>&amp;</td>
				<td>amp</td>
				<td>ampersand</td>
			</tr>
			<tr>
				<td>&quot;</td>
				<td>quot</td>
				<td>double quotation mark</td>
			</tr>
			<tr>
				<td>&apos;</td>
				<td>apost</td>
				<td>single quotation mark (apostrophe)</td>
			</tr>
			<tr>
				<td>&ntilde;</td>
				<td>ntilde</td>
				<td>Lower Tilde</td>
			</tr>
			<tr>
				<td>&Ntilde;</td>
				<td>Ntilde</td>
				<td>Upper Tilde</td>
			</tr>
		</tbody>
		<!-- used to group table footer content -->
		<tfoot>
			<tr>
				<th colspan="3">List of HTML entities</th>
			</tr>
		</tfoot>
	</table>
	</section>


	<section>
	<p>HTML Forms</p>
	<p>
		<em>Input elements that make up a form</em>
	</p>

	<!-- Creates an HTML Form to capture user input -->
	<form action="http://google.com">

		<!-- creates a label and allows for input field selection when clicked -->
		<label for="full_name">Full Name:</label><br>

		<input type="text" name="full_name" id="full_name" required autocomplete><br>

		<label for="birth_date">Birth Date:</label><br>
		<input type="date" name="birth_date" id="birth_date" required><br>

		<label for="age">Age:</label><br>
		<input type="number" name="age" id="age" required min="1"><br>

		<label for="gender">Gender:</label><br>
		<!-- creates dropdown menu -->
		<select name="gender" id="gender">
			<!-- creates an option for the dropdown -->
			<option value="Male">Male</option>
			<option value="Female">Female</option>
		</select><br>

		<label for="notes">Notes:</label><br>
		<!-- creates a larger text input -->
		<textarea name="notes" rows="5" id="notes"></textarea><br>

		<!-- radio buttons -->
		<label>New User:</label><br>

		<input type="radio" name="new_user" id="user-type1" value="yes">
		<label for="user-type1">Yes</label><br>

		<input type="radio" name="new_user" id="user-type2" value="no">
		<label for="user-type2">No</label><br>

		<!-- checkboxes -->
		<label>Role:</label><br>

		<!-- create checkboxes for multiple choices -->
		<input type="checkbox" name="role1" id="role1" value="developer">
		<label for="role1">Developer</label><br>

		<input type="checkbox" name="role2" id="role2" value="student">
		<label for="role2">Student</label><br>

		<input type="checkbox" name="role3" id="role3" value="manager">
		<label for="role3">Manager</label><br>

		<!-- creates a button that will submit the form data -->
		<button type="submit">Submit</button>
		<button type="reset">Reset</button>
	</form>
	</section>
</main>

</body>
</html>